<?PHP
declare(strict_types = 1);

/**
 * Custom exception class for coordinates (longitude, latitude) that are out
 * of range (-90 - 90 for latitudes, -180 to 180 for longitudes).
 */
final class MDCoordinateOutOfRange extends MDExpectedException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Parameter: <b>' . $this->getMessage() . '</b> is not a valid, numeric values.';

    }
}
